Page MenuHomeFreeBSD

Sandbox wc(1) with fileargs.
ClosedPublic

Authored by oshogbo on Feb 17 2018, 12:28 PM.

Details

Diff Detail

Lint
Lint Skipped
Unit
Unit Tests Skipped

Event Timeline

oshogbo created this revision.Feb 17 2018, 12:28 PM
oshogbo added a reviewer: bapt.
allanjude accepted this revision.Feb 17 2018, 5:12 PM

This looks pretty clean, I like it.

usr.bin/wc/wc.c
144

Doesn't this need to be before the first use of err.h? It should be before the above if() because of the xo_warn()

This revision is now accepted and ready to land.Feb 17 2018, 5:12 PM
oshogbo added inline comments.Feb 21 2018, 9:55 PM
usr.bin/wc/wc.c
144

But this is needed only when we are in capability mode which we enter below, so if xo_warn will be called it will still have access to the NLS.

oshogbo updated this revision to Diff 39586.Feb 21 2018, 9:57 PM

We handle now empty argc and argv.

This revision now requires review to proceed.Feb 21 2018, 9:57 PM

Looks good

usr.bin/wc/wc.c
49

should sort alphabetically before stat

allanjude accepted this revision.Feb 22 2018, 12:46 AM
This revision is now accepted and ready to land.Feb 22 2018, 12:46 AM
oshogbo closed this revision.Nov 12 2018, 5:59 PM